.TH "siggen::ThreadManager" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::ThreadManager \- common implementation of a \fBThreadManager\fP base  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <ThreadManager\&.h>\fP
.PP
Inherits \fBsiggen::ThreadManagerBase\fP\&.
.PP
Inherited by \fBsiggen::ThreadManagerEager\fP, \fBsiggen::ThreadManagerPowerSaver\fP, and \fBsiggen::ThreadManagerSingle\fP\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBThreadManager\fP (\fBData\fP &&data)"
.br
.RI "construct thread manager with data to work on "
.ti -1c
.RI "virtual void \fBProcessToBuffer\fP (std::vector< char > &result)=0"
.br
.RI "processes data assigned to thread manager "
.in -1c
.SS "Protected Attributes"

.in +1c
.ti -1c
.RI "\fBData\fP \fBm_Data\fP"
.br
.RI "configuration for a thread manager "
.in -1c
.SS "Additional Inherited Members"
.SH "Detailed Description"
.PP 
common implementation of a \fBThreadManager\fP base 
.PP
Definition at line 11 of file ThreadManager\&.h\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "siggen::ThreadManager::ThreadManager (\fBData\fP && data)"

.PP
construct thread manager with data to work on warning - the data is moved from 
.PP
Definition at line 7 of file ThreadManager\&.cpp\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
